<?php

/*
 * Codigo fuente de retorno de JSON
 */
$data = array();
$i = 0;
/*
 * Tomar valores del execute... para el actions de la variable list_data
 */
foreach ($list_data as $element) {
    foreach ($element as $key => $value) {
        $data[$i][$key] = $value;
    }
    $i++;
}

$mensaje = array();
/*
 * Mensaje con estructura Json
 */
$mensaje['response']['status'] = 0;
if (!is_null($totalRows)) {
    $mensaje['response']['totalRows'] = $totalRows;
}
if (!is_null($startRow)) {
    $mensaje['response']['startRow'] = $startRow;
}
if (!is_null($endRow)) {
    $mensaje['response']['endRow'] = $endRow;
}

$mensaje['response']['data'] = $data;
/*
 * Codificacion en formato JSON
 */
echo json_encode($mensaje);
?>